axis-c-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tony Dodd" <tony.d...@btinternet.com>
Subject RE: axis 1.5 build failed in FC 3
Date Tue, 03 May 2005 09:08:12 GMT
How about
 
GNU Autoconf, Automake and Libtool
Vaughan, Elliston, Tromey and Taylor
New Riders, 2000
ISBN: 1-57870-190-2
 
But I think Ken meant axis-specific documentation. 
 
Automake support is essential as far as we are concerned, and I'm very
grateful to Ken for offering to supply this.
 
Tony Dodd
Xaira project at Oxford University Research Technologies


  _____  

From: John Hawkins [mailto:HAWKINSJ@uk.ibm.com] 
Sent: 03 May 2005 09:54
To: Apache AXIS C User List
Subject: Re: axis 1.5 build failed in FC 3



Hi Ken, 

Well, if you're willing to maintain it then that's great :-) As you've
probably seen- the only reason we don't want to maintain it is that we don't
have the time/skills. 

As for documentation - hmm ! Not sure there is much for the GNU system
(another one of our reasons for not using it !) I thought there was some on
the web pages but couldn't find it just now ! 

Anyone else seen any docs for the GNU make system? 


thanks for your help Ken :-) 






"Kenneth F. Krutsch" <ken@krutsch.com> 


29/04/2005 15:34 


Please respond to
"Apache AXIS C User List"



To
Apache AXIS C User List <axis-c-user@ws.apache.org> 

cc

Subject
Re: axis 1.5 build failed in FC 3

	




Hi,

Would you folks like assistance building / maintaining a GNU automake system
for this?  I have a little experience with this.  I know the team really
likes Ant, but the reality is that this is a C++ project and I think
developers will be expecting a GNU automake -style of build.

If the Axis team *is* interested in this, then can someone send me any
documentation you have on the build requirements?  If not, then sorry for
the interruption...

Ken

Adrian Dick wrote: 
Hi,

You don't mention exactly which version of ANT, etc.  you are using.
We are using a couple of features that are only present in later versions.
The versions I use, and are also used for the nightly build are:
Java - v1.4.1
ANT - v.1.6.1
ant-contrib - v0.6
cpptasks - v1.0beta3

These versions _should_ be mentioned in the documentation.  Alas, taking a
quick look now, I find the levels for ant-contrib and cpptasks are not
explicitly mentioned.  However, running the command "ant -projecthelp" on
build.xml or package.xml provides some basic setup documentation, which
does now include the above information.

Could you check which versions you are using, and upgrade if required.

Thanks,
Adrian
_______________________________________
Adrian Dick ( <mailto:adrian.dick@uk.ibm.com> adrian.dick@uk.ibm.com)


"Samisa Abeysinghe"  <mailto:SAbeysinghe@virtusa.com>
<SAbeysinghe@virtusa.com> wrote on 29/04/2005 05:09:04:

  
I cannot exactly understand what is going wrong with ant based pacaking.

Adrian, could you please help ass you are the expert in this space.


Thanks,
Samisa...

-----Original Message-----
From: So Hok Chun, Bill [ <mailto:bill@beansbox.com>
mailto:bill@beansbox.com]
Sent: Friday, April 29, 2005 12:10 AM
To:  <mailto:axis-c-user@ws.apache.org> axis-c-user@ws.apache.org
Subject: Re: axis 1.5 build failed in FC 3

Dear Samisa and other folks,

Thanks for your suggestion.  This is really a problem of header files.

I've solved that problem finally.  Now, running "ant" has no problem.

But when I run "ant -f package.xml", and returns error saying that the
"symlink" type is missing.  I am using Ant from  <http://www.jpackage.org/>
www.jpackage.org.
Would that causes the problem?

I don't know whether that's an extra module in Ant or it's included in
the Ant core. (I am no-voice user to ant. Please find the error in the
end of this email)

Did you have similar error?

I tried sh -x ant -f package.xml and look at the classpath.  Here it is:

++ exec /usr/lib/jvm/java/bin/java -
classpath /usr/share/java/ant.jar:/usr/share/java/ant-
launcher.jar:/usr/share/java/ant-
contrib.jar:/usr/share/java/cpptasks.jar:/usr/share/java/jaxp_parser_imp
l.jar:/usr/share/java/xml-commons-apis.jar:/usr/lib/jvm/java/lib/tools.j
ar -Dant.home=/usr/share/ant -Dant.library.dir=/usr/share/ant/lib
org.apache.tools.ant.launch.Launcher -lib '' -f package.xml


    
symlink error >>>>>>>>>>>
                                                
copyAndLinkLinuxLibraries:

BUILD FAILED
/home/bill/Desktop/soap/axis-c-1.5.0-linux-src/package.xml:268: The
following error occurred while executing this line:
/home/bill/Desktop/soap/axis-c-1.5.0-linux-src/package.xml:247: The
following error occurred while executing this line:
/home/bill/Desktop/soap/axis-c-1.5.0-linux-src/package.xml:226: The
following error occurred while executing this line:
/home/bill/Desktop/soap/axis-c-1.5.0-linux-src/package.xml:182: The
following error occurred while executing this line:
/home/bill/Desktop/soap/axis-c-1.5.0-linux-src/package.xml:146: Could
not create task or type of type: symlink.


Thanks so much for your help.

Bill

    

-- 



 <http://www.krutsch.com/>  	

 <http://www.krutsch.com/> Interface Design


Kenneth F. Krutsch
President 	

Krutsch Associates, Inc.
 
<http://maps.yahoo.com/py/maps.py?Pyt=Tmap&addr=14880+Highland+Lane&csz=Minn
etonka%2C+MN+55345&country=us> 14880 Highland Lane
Minnetonka, MN 55345
 <mailto:ken@krutsch.com> Ken@Krutsch.com 	


mobile:
(612) 382-8228








Mime
View raw message